Page MenuHomePhabricator

Track state (region)
Closed, ResolvedPublic

Description

Currently NavigationTiming only records the user's Country. In order to narrow down the metrics to a state-level, we also need to record state/region.

Event Timeline

Gilles created this task.Jun 9 2015, 10:10 AM
Gilles claimed this task.
Gilles raised the priority of this task from to Normal.
Gilles updated the task description. (Show Details)
Gilles added a project: Puppet.
Gilles set Security to None.
Gilles added subscribers: MZMcBride, aaron, Krinkle and 3 others.

Change 216938 had a related patch set uploaded (by Gilles):
Report IP's region code in geoiplookup

https://gerrit.wikimedia.org/r/216938

Change 216939 had a related patch set uploaded (by Gilles):
Record region when available

https://gerrit.wikimedia.org/r/216939

Change 217231 had a related patch set uploaded (by Gilles):
Parse region in geoip cookie

https://gerrit.wikimedia.org/r/217231

Change 216938 merged by Ori.livneh:
Report IP's region code in geoiplookup

https://gerrit.wikimedia.org/r/216938

Change 217231 merged by jenkins-bot:
Parse region in geoip cookie

https://gerrit.wikimedia.org/r/217231

Change 218805 had a related patch set uploaded (by Ori.livneh):
Parse region in geoip cookie

https://gerrit.wikimedia.org/r/218805

Change 218805 merged by Ori.livneh:
Parse region in geoip cookie

https://gerrit.wikimedia.org/r/218805

If window.Geo is used outside CentralNotice, should we perhaps move the code that deals with it somewhere else? BTW, now would be a great time to do so, since I'm refactoring bannerController just now... Thanks!!

awight added a subscriber: awight.Jun 17 2015, 4:59 PM

+1 to what @AndyRussG said, this raises already existing red flags for me. Considering how important the Varnish optimization is to us, and that CN is using *only* the country information from the GeoIP cookie, the encapsulation and coupling are becoming increasingly wrong.

Creating new task T102848 to track this.

@awight cool, thanks for creating the task! (BTW, I have no objections to the region change per se. :) )

Yep, it's weird that the code lives there now that it's used by multiple extensions.

Change 216939 merged by jenkins-bot:
Record region when available

https://gerrit.wikimedia.org/r/216939

Change 219229 had a related patch set uploaded (by Ori.livneh):
Record region when available

https://gerrit.wikimedia.org/r/219229

Change 219229 merged by jenkins-bot:
Record region when available

https://gerrit.wikimedia.org/r/219229

Gilles closed this task as Resolved.Jun 24 2015, 3:18 PM